_grk_io_buf Struct Reference

`#include <grok.h>`

Inheritance diagram for _grk_io_buf:

## Public Attributes

uint8_t * | data_
size_t | offset_
size_t | len_
size_t | allocLen_
bool | pooled_
uint32_t | index_

## Member Data Documentation

## allocLen_

size_t _grk_io_buf::allocLen_

Referenced by grk::GrkIOBuf::alloc(), grk::GrkIOBuf::GrkIOBuf(), and grk::GrkIOBuf::GrkIOBuf().

## data_

uint8_t* _grk_io_buf::data_

Referenced by grk::GrkIOBuf::alloc(), grk::Strip::allocInterleaved(), grk::Strip::allocInterleavedLocked(), grk::GrkImage::composite(), grk::GrkImage::compositeInterleaved(), grk::GrkImage::compositeInterleaved(), grk::GrkIOBuf::dealloc(), grk::GrkIOBuf::GrkIOBuf(), grk::GrkIOBuf::GrkIOBuf(), grk::StripCache::serialize(), grk::GrkImage::transferDataTo(), and grk::GrkImage::~GrkImage().

## index_

uint32_t _grk_io_buf::index_

Referenced by grk::GrkIOBuf::getIndex(), grk::GrkIOBuf::GrkIOBuf(), and grk::GrkIOBuf::GrkIOBuf().

## len_

size_t _grk_io_buf::len_

Referenced by grk::GrkIOBuf::alloc(), grk::BufPool::get(), grk::GrkIOBuf::GrkIOBuf(), and grk::GrkIOBuf::GrkIOBuf().

## offset_

size_t _grk_io_buf::offset_

Referenced by grk::GrkIOBuf::GrkIOBuf(), and grk::GrkIOBuf::GrkIOBuf().

## pooled_

bool _grk_io_buf::pooled_

Referenced by grk::GrkIOBuf::GrkIOBuf(), and grk::GrkIOBuf::GrkIOBuf().

The documentation for this struct was generated from the following file:

- grok.h